@ECHO OFF
REM SMC Serial high speed mode driver for NT4.0J
REM uninstall batch
REM 97/02/05 o.imaizumi
REM modified by Device Drivers Limited on 6/3/2001 for Windows2000 SP2
if NOT %OS%==Windows_NT goto notNT
if NOT %PROCESSOR_ARCHITECTURE%==x86 goto notx86
set patchdrv=shsw2ku2-serial.sys
if not exist %patchdrv% goto baddir

pushd %windir%\system32\drivers
if not exist %windir%\system32\drivers\serial.sys goto noserial
if exist %windir%\system32\drivers\$erial.sys goto already
popd
copy %patchdrv% %windir%\system32\drivers\%patchdrv%
if errorlevel 1 goto copyfail
cd %windir%\system32\drivers
%SystemDrive%
rename serial.sys $erial.sys
copy %patchdrv% serial.sys

if not exist $erial.sys goto wspfail
echo.
echo Successful.
echo.
goto finish

:notNT
echo Error - Not WindowsNT.
goto wrong

:notx86
echo Error - Not x86
goto wrong

:baddir
echo Error - missing %patchdrv% Check directory.
goto wrong

:copyfail
echo.
echo Error - Check security. etc.
goto wrong

:already
echo Error - backupfile '$erial.sys' is already exist.
echo.
dir %windir%\system32\drivers\$erial.sys | find /I "$erial.sys"
echo --remedy:
echo  run uinstshs.bat and try again.
echo  (if you want backup, copy serial.sys elsewhere.)
goto wrong

:noserial
echo Error - serial.sys missing.
echo --remedy:
echo   restore serial.sys from install media.
goto wrong

:wspfail
ver
echo - Check OS version (Windows2000)
echo.
chcp
echo - Check code page   (437)US
echo.
dir /-N %windir%\system32\drivers\serial.sys | find /I "serial"
echo - Check date and size
echo -   
goto wrong

:wrong
echo.
echo *ERROR* - Install *NOT* Successful.
echo.
:finish
pause
exit
